package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @author chchen
 */
public class LearningSituationDetail2Dto implements Serializable {
    private static final long serialVersionUID = 1L;

    private KnowledgeSkillDto knowledge;

    private KnowledgeSkillDto skill;

    private Map<String, KnowledgePointDto> knowledgePoint;

    public LearningSituationDetail2Dto () {
        this.knowledgePoint = new HashMap<>();
    }

    public KnowledgeSkillDto getKnowledge() {
        return knowledge;
    }

    public void setKnowledge(KnowledgeSkillDto knowledge) {
        this.knowledge = knowledge;
    }

    public KnowledgeSkillDto getSkill() {
        return skill;
    }

    public void setSkill(KnowledgeSkillDto skill) {
        this.skill = skill;
    }

    public Map<String, KnowledgePointDto> getKnowledgePoint() {
        return knowledgePoint;
    }

    public void setKnowledgePoint(Map<String, KnowledgePointDto> knowledgePoint) {
        this.knowledgePoint = knowledgePoint;
    }
}
